copy_with 0.1.0

  • Readme
  • Changelog
  • Installing
  • 59

copy_with #

Provides builder and generator for copy_with_annotation

For more information how to use this package see: copy_with_annotation

Author #

This CopyWith package is developed by The Next App. You can contact us at info@thenextapp.nl

[0.1.0] #

  • Converted to dart extension method

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  copy_with: ^0.1.0

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:copy_with/copy_with.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
26
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
80
Overall:
Weighted score of the above. [more]
59
Learn more about scoring.

We analyzed this package on Apr 4, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.6

Health suggestions

Format lib/src/copy_with_generator.dart.

Run dartfmt to format lib/src/copy_with_generator.dart.

Maintenance issues and suggestions

Support latest dependencies. (-10 points)

The version constraint in pubspec.yaml does not support the latest published versions for 1 dependency (source_gen).

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and copy_with.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.6.0 <3.0.0
analyzer >=0.36.0 <0.40.0 0.39.5
build >=1.1.0 <1.3.0 1.2.2
copy_with_annotation ^0.1.0 0.1.0
source_gen >=0.8.3 <0.9.5 0.9.4+7 0.9.5
Transitive dependencies
_fe_analyzer_shared 2.0.0
args 1.6.0
async 2.4.1
charcode 1.1.3
collection 1.14.12
convert 2.1.1
crypto 2.1.4
csslib 0.16.1
dart_style 1.3.3
glob 1.2.0
html 0.14.0+3
js 0.6.1+1
logging 0.11.4
meta 1.1.8
node_interop 1.0.3
node_io 1.0.1+2
package_config 1.9.3
path 1.6.4
pedantic 1.9.0
pub_semver 1.4.4
source_span 1.7.0
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.1.6
watcher 0.9.7+14
yaml 2.2.0
Dev dependencies
build_runner >=1.5.0 <1.8.0
build_test >=0.10.0 <0.11.0
test >=1.6.0 <1.9.5